Get user profile
curl --request GET \
--url https://api.konbiniapi.com/v1/x/users/{username} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Person",
"id": "https://x.com/KhabyLame",
"url": "https://x.com/KhabyLame",
"entityId": "1379925457689268227",
"name": "Khaby lame",
"preferredUsername": "KhabyLame",
"isPrivate": false,
"isVerified": false,
"isPaidVerified": true,
"followerCount": 372131,
"followingCount": 8,
"likeCount": 60,
"postCount": 267,
"mediaCount": 242,
"summary": "Let's Go",
"attachment": [
{
"type": "Link",
"href": "https://t.co/examplelink",
"rel": "preferred"
}
],
"published": "2010-12-01T19:13:23.000Z",
"listedCount": 215,
"location": "Chivasso, Italy",
"icon": {
"type": "Image",
"url": "https://pbs.twimg.com/amplify_video_thumb/2024515147692195840/img/t8ePmit3Wst1hxAM.jpg",
"width": 1536,
"height": 2048
},
"image": [
{
"type": "Image",
"url": "https://pbs.twimg.com/amplify_video_thumb/2024515147692195840/img/t8ePmit3Wst1hxAM.jpg",
"width": 1536,
"height": 2048
}
]
}
}Users
Get user profile
Returns profile information for a public X account including bio, follower counts, verification flags, and profile images.
GET
/
v1
/
x
/
users
/
{username}
Get user profile
curl --request GET \
--url https://api.konbiniapi.com/v1/x/users/{username} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Person",
"id": "https://x.com/KhabyLame",
"url": "https://x.com/KhabyLame",
"entityId": "1379925457689268227",
"name": "Khaby lame",
"preferredUsername": "KhabyLame",
"isPrivate": false,
"isVerified": false,
"isPaidVerified": true,
"followerCount": 372131,
"followingCount": 8,
"likeCount": 60,
"postCount": 267,
"mediaCount": 242,
"summary": "Let's Go",
"attachment": [
{
"type": "Link",
"href": "https://t.co/examplelink",
"rel": "preferred"
}
],
"published": "2010-12-01T19:13:23.000Z",
"listedCount": 215,
"location": "Chivasso, Italy",
"icon": {
"type": "Image",
"url": "https://pbs.twimg.com/amplify_video_thumb/2024515147692195840/img/t8ePmit3Wst1hxAM.jpg",
"width": 1536,
"height": 2048
},
"image": [
{
"type": "Image",
"url": "https://pbs.twimg.com/amplify_video_thumb/2024515147692195840/img/t8ePmit3Wst1hxAM.jpg",
"width": 1536,
"height": 2048
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.konbiniapi.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Path Parameters
X username (with or without @ symbol)
Example:
"Austen"
Response
Returns the X user profile
Show child attributes
Show child attributes
⌘I